import tangodata as tdata
from tango import DevState
from tango.server import Device, device_property
from tango.test_utils import DeviceTestContext

def test_device_property_on_init():

    class TestDevice(Device):
        my_property = device_property(dtype='str')

        def init_device(self):
            super(TestDevice, self).init_device()
            assert self.my_property == 'Testing123'

    # get address for DeviceB (changes for every test run)
    properties = {'my_property': 'Testing123'}
    with DeviceTestContext(TestDevice, properties=properties) as proxy:
        # Check state just to ensure device started up
        assert proxy.state() == DevState.UNKNOWN
